> For the complete documentation index, see [llms.txt](https://docs.namiml.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.namiml.com/sdk-reference/namipaywallmanager/registerdeeplinkactionhandler.md).

# registerDeeplinkActionHandler

{% tabs %}
{% tab title="Swift" %}

```swift
 NamiPaywallManager.registerDeeplinkActionHandler { destination in
      // Calls back with a string value as configured in the Paywall Creator
  }
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
NamiPaywallManager.registerDeepLinkHandler { paywallActivity, destination ->
      // Calls back with destination value for Deeplink Button configured 
      // in the Paywall Creator
}
```

{% endtab %}

{% tab title="React Native" %}

```typescript
import {NamiPaywallManager} from 'react-native-nami-sdk';

const subscriptionDeeplinkRemover =
   NamiPaywallManager.registerDeeplinkActionHandler((destination) => {
     console.log('deeplink action ', destination);
   });
```

{% endtab %}

{% tab title="Roku" %}

```brightscript
' This is a condensed example. 
' See the full example in the Demo app:
'   https://github.com/namiml/nami-roku/blob/main/Demo/components/NamiDataSource.brs
'   https://github.com/namiml/nami-roku/blob/main/Demo/components/NamiDataSource.xml
sub init()
    setupLocals()
    initializeNamiSDKValues()
end sub

sub setupLocals()
    m.scene = m.top.getScene()
    m.namiPaywallManager = m.namiManager.namiPaywallManager
end sub

sub initializeNamiSDKValues()
    m.namiPaywallManager.callFunc("registerDeeplinkActionHandler", m.top)
end sub

function deeplinkActionHandlerCallback(url)
    ' deeplink url open process
    print "NamiDataSource : deeplinkActionHandlerCallback : deeplink url : " url
end function

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.namiml.com/sdk-reference/namipaywallmanager/registerdeeplinkactionhandler.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
